View Issue Details

IDProjectCategoryView StatusLast Update
0032678LazarusLCLpublic2021-06-10 23:11
ReporterDavid Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
PlatformMac 
Product Version1.8RC4 
Summary0032678: TTrayIcon has memory leak on Mac
DescriptionOn the Mac, using TTrayIcon introduces a memory leak.
Steps To ReproduceBlank Form, put a TTrayIcon on it, in the form's OnShow, call TTrayIcon.Show

In ProjectOptions, turn on Heaptrc

Compile and run from commandline.
Additional InformationAppears to be a real leak too, not just a one off of unreleased memory, grows as an App is used over time.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCarbon
Attached Files

Activities

David

2021-05-27 12:55

reporter   ~0131051

As Carbon is way past its use by date, lets drop this.

Can someone please close it ?

(As Reporter, I cannot !)

Juha Manninen

2021-06-02 15:07

developer   ~0131126

Resolving as requested.

David

2021-06-10 23:11

reporter   ~0131234

closing as carbon has had its day.

Issue History

Date Modified Username Field Change
2017-11-12 10:09 David New Issue
2021-05-27 12:55 David Note Added: 0131051
2021-06-02 15:07 Juha Manninen Assigned To => Juha Manninen
2021-06-02 15:07 Juha Manninen Status new => resolved
2021-06-02 15:07 Juha Manninen Resolution open => won't fix
2021-06-02 15:07 Juha Manninen LazTarget => -
2021-06-02 15:07 Juha Manninen Widgetset Carbon => Carbon
2021-06-02 15:07 Juha Manninen Note Added: 0131126
2021-06-10 23:11 David Status resolved => closed
2021-06-10 23:11 David Note Added: 0131234